### Struct

# Qmi MessageContext

since: 1.18

#### Description [src]

    struct QmiMessageContext {
      /* No available fields */
    }

An opaque type representing a QMI message context.

Available since: 1.18

#### Constructors

###### qmi_message_context_new

Create a new empty `QmiMessageContext`.

since: 1.18

#### Instance methods

###### qmi_message_context_get_vendor_id

Gets the vendor ID associated to the message.

since: 1.18

###### qmi_message_context_ref

Atomically increments the reference count of `self` by one.

since: 1.18

###### qmi_message_context_set_vendor_id

Sets the vendor ID associated to the message.

since: 1.18

###### qmi_message_context_unref

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

since: 1.18